summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xrun-tests.sh10
1 files changed, 6 insertions, 4 deletions
diff --git a/run-tests.sh b/run-tests.sh
index 1a43e09f..e02589b6 100755
--- a/run-tests.sh
+++ b/run-tests.sh
@@ -23,10 +23,12 @@ rm -f build/test/info.log
if [ -e "../libdcp-test" ]; then
for d in `find ../libdcp-test -mindepth 1 -maxdepth 1 -type d`; do
- LD_LIBRARY_PATH=build/src:build/asdcplib/src build/tools/dcpinfo -s $d >> build/test/info.log
- if [ "$?" != "0" ]; then
- echo "FAIL: dcpinfo failed"
- exit 1
+ if [ `basename $d` != ".git" ]; then
+ LD_LIBRARY_PATH=build/src:build/asdcplib/src build/tools/dcpinfo -s $d >> build/test/info.log
+ if [ "$?" != "0" ]; then
+ echo "FAIL: dcpinfo failed for $d"
+ exit 1
+ fi
fi
done
else